function show_group(data,Nrow,Ncolumn)
% function show_group(data,no_columns)
% data(Nx,Ny,Num_slices)
% Ncolumn: number of imges per row; Ncolumn = sqrt(N_slices) by default
%
%    Copyrigt 2007, Jim Ji, Texas A&M University. All Rights Reserved. 
%

[Nx,Ny,Nt]=size(data);

img=zeros(Nx*Nrow,Ny*Ncolumn);
for frame = 1:Nt
   	[ix]= mod(frame-1,Ncolumn);
    iy = floor((frame-1)/Ncolumn);
   	ycord = ((ix*Nx):((ix+1)*Nx-1))+1;%xcord = ((ix*Nx):((ix+1)*Nx-1))+1;
  	xcord = ((iy*Ny):((iy+1)*Ny-1))+1;%ycord = ((iy*Ny):((iy+1)*Ny-1))+1;
    img(xcord,ycord)=squeeze(data(:,:,frame));
end
imagesc(img);colormap('gray'); axis image;axis off;
return
